Building pam_pkcs11 for FreeBSD...problems.

classic Classic list List threaded Threaded
2 messages Options
f u
Reply | Threaded
Open this post in threaded view
|

Building pam_pkcs11 for FreeBSD...problems.

f u
Hello.

> > As far as I know FreeBSD doesn't use libdl to link over libraries It
> > should use libc instead. Is it possible to build pam_pkcs11.so for BSD,
> > and what should I do to make it possible?
>
> Just remove the test from configure...
>
> --
> Emmanuel Dreyfus
> http://hcpnet.free.fr/pubz
> [hidden email]

I have try this and some more...
Now I have got such error while building pam_pkcs11.so

libtool: compile:  gcc -DHAVE_CONFIG_H -I. -I../.. -Wall -fno-strict-aliasing -I/usr/local/include -I/usr/local/include -Wall -fno-strict-aliasing -I/usr/local/include -g -O2 -MT pam_pkcs11.lo -MD -MP -MF .deps/pam_pkcs11.Tpo -c pam_pkcs11.c  -fPIC -DPIC -o .libs/pam_pkcs11.o
pam_pkcs11.c:75: error: conflicting types for 'pam_prompt'
/usr/include/security/openpam.h:111: error: previous declaration of 'pam_prompt' was here
pam_pkcs11.c: In function 'pam_sm_authenticate':
pam_pkcs11.c:287: error: too many arguments to function 'pam_prompt'
pam_pkcs11.c:355: error: too many arguments to function 'pam_prompt'
pam_pkcs11.c:382: error: too many arguments to function 'pam_prompt'
pam_pkcs11.c:402: error: too many arguments to function 'pam_prompt'
pam_pkcs11.c:425: error: too many arguments to function 'pam_prompt'
*** Error code 1

Stop in /usr/home/hishnik/local/builds/pam_pkcs11-0.6.3/src/pam_pkcs11.
*** Error code 1

Stop in /usr/home/hishnik/local/builds/pam_pkcs11-0.6.3/src.
*** Error code 1

Stop in /usr/home/hishnik/local/builds/pam_pkcs11-0.6.3.
*** Error code 1

Stop in /usr/home/hishnik/local/builds/pam_pkcs11-0.6.3.

Thank you.

_______________________________________________
opensc-user mailing list
[hidden email]
http://www.opensc-project.org/mailman/listinfo/opensc-user
Reply | Threaded
Open this post in threaded view
|

Re: Building pam_pkcs11 for FreeBSD...problems.

Ludovic Rousseau
2010/8/4 f u <[hidden email]>:

> Hello.
>
>> > As far as I know FreeBSD doesn't use libdl to link over libraries It
>> > should use libc instead. Is it possible to build pam_pkcs11.so for BSD,
>> > and what should I do to make it possible?
>>
>> Just remove the test from configure...
>>
>> --
>> Emmanuel Dreyfus
>> http://hcpnet.free.fr/pubz
>> [hidden email]
>
> I have try this and some more...
> Now I have got such error while building pam_pkcs11.so

Can you try again with pam_pkcs11 0.6.4 please? (instead of 0.6.3)

https://www.opensc-project.org/opensc/wiki/pam_pkcs11

Bye

--
 Dr. Ludovic Rousseau
_______________________________________________
opensc-user mailing list
[hidden email]
http://www.opensc-project.org/mailman/listinfo/opensc-user